//
//  FlipsideViewController.h
//  MusicLibraryClient
//
//  Created by Chris Adamson on 5/5/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <MediaPlayer/MediaPlayer.h>

@protocol FlipsideViewControllerDelegate;

/* this header is used earlier in the chapter, before adding MPMediaPickerControllerDelegate
//START:code.FlipsideViewController.interfacedeclaration
@interface FlipsideViewController : UIViewController <UITableViewDataSource,
		UITableViewDelegate, UISearchBarDelegate> {
//END:code.FlipsideViewController.interfacedeclaration
*/

@interface FlipsideViewController : UIViewController <UITableViewDataSource,
				UITableViewDelegate, UISearchBarDelegate,
				MPMediaPickerControllerDelegate> {

	id <FlipsideViewControllerDelegate> delegate;
//START:code.FlipsideViewController.guiheaders
	UISegmentedControl *searchTypeControl;
	UISearchDisplayController *searchController;
	UITableView *queueTable;
//END:code.FlipsideViewController.guiheaders
//START:code.FlipsideViewController.arraydeclarations
	NSArray *searchResults;
	NSMutableArray *newPlaybackQueue;
//END:code.FlipsideViewController.arraydeclarations
}

@property (nonatomic, assign) id <FlipsideViewControllerDelegate> delegate;
@property (nonatomic, retain) IBOutlet UISearchDisplayController *searchController;
@property (nonatomic, retain) IBOutlet UISegmentedControl *searchTypeControl;
@property (nonatomic, retain) IBOutlet UITableView *queueTable;


- (IBAction) done;
- (IBAction) searchTypeChanged;
- (IBAction) handleBrowseTapped;

@end


@protocol FlipsideViewControllerDelegate
- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller;
@end

